Name:           jhighlight
Version:        1.0
Release:        5%{?dist}
Summary:        An embeddable pure Java syntax highlighting library

Group:          Development/Libraries
License:        LGPLv2+
URL:            http://svn.rifers.org/jhighlight

# svn export http://svn.rifers.org/jhighlight/tags/release-1.0/ jhighlight-1.0
# find jhighlight-1.0/ -name *.jar
# tar cJf jhighlight-1.0.tar.xz jhighlight-1.0/
Source0:        %{name}-%{version}.tar.xz
Source1:        http://central.maven.org/maven2/com/uwyn/%{name}/%{version}/%{name}-%{version}.pom

BuildArch:      noarch

BuildRequires:  ant
BuildRequires:  java-devel
BuildRequires:  jflex
BuildRequires:  jpackage-utils
BuildRequires:  tomcat-servlet-3.0-api

Requires:       java
Requires:       jflex
Requires:       jpackage-utils
Requires:       tomcat-servlet-3.0-api

%description
JHighlight is an embeddable pure Java syntax highlighting library that supports
Java, Groovy, C++, HTML, XHTML, XML and LZX languages and outputs to XHTML. It
also supports RIFE (http://rifers.org) templates tags and highlights them
clearly so that you can easily identify the difference between your RIFE markup
and the actual marked up source.

%package javadoc
Summary:        Javadocs for %{name}
Group:          Documentation
Requires:       jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q

find -name '*.class' -delete
find -name '*.jar' -delete

pushd lib/
ln -s %{_javadir}/jflex.jar
ln -s %{_javadir}/tomcat-servlet-3.0-api.jar
popd

%build
ant

%install

mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p build/dist/%{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}
unzip build/dist/%{name}-javadocs-%{version}.zip -d $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# POM
install -d -m 0755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -p -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

%files
%{_javadir}/*
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc README
%doc COPYING
%doc LICENSE_LGPL.txt

%files javadoc
%{_javadocdir}/%{name}
%doc LICENSE_LGPL.txt
%doc COPYING


%changelog
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Jul 24 2012 Gerard Ryan <galileo@fedoraproject.org> - 1.0-3
- Remove jars from source tarball before inclusion in srpm.

* Mon Jul 24 2012 Gerard Ryan <galileo@fedoraproject.org> - 1.0-2
- Remove lgpl text added from external source.

* Mon Jul 24 2012 Gerard Ryan <galileo@fedoraproject.org> - 1.0-1
- Initial package.
